<ng-container *transloco="let t">
  <moe-page-header [title]="t('PAGES.SETTINGS.TITLE')" />

  <moe-search-input
    [formControl]="searchbarControl"
    [placeholder]="t('PAGES.SETTINGS.SEARCH_BAR_PLACEHOLDER')"
  />

  <mat-divider />

  <div class="settings">
    <mat-selection-list
      [formControl]="selectedGroupControl"
      [multiple]="false"
      class="settings__group-list"
      hideSingleSelectionIndicator
    >
      <mat-list-option [value]="ALL_SETTINGS_GROUP_KEY">
        <span>{{ t(ALL_SETTINGS_GROUP_KEY) }}</span>
      </mat-list-option>

      @for (group of settingGroups; track group) {
      <mat-list-option [value]="group.titleKey">
        <mat-icon matListItemIcon>{{ group.icon }}</mat-icon>
        <span>{{ t(group.titleKey) }}</span>
      </mat-list-option>
      }
    </mat-selection-list>

    <mat-card class="settings__list">
      @for (setting of selectedGroupSettings(); track setting; let hideDivider =
      $last) {
      <moe-setting
        [title]="t(setting.titleKey)"
        [description]="t(setting.descriptionKey)"
      >
        <ng-container [ngComponentOutlet]="setting.component" />
      </moe-setting>

      @if (!hideDivider) {
      <mat-divider />
      } } @empty {
      <h3 class="empty-placeholder">
        {{ t('PAGES.SETTINGS.EMPTY_SEARCH_RESULT') }}
      </h3>
      }
    </mat-card>
  </div>
</ng-container>
